Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-nose-xcover
%global pypi_name nosexcover

Name:           python-module-nose-xcover
Version:        1.0.7
Release:        alt1_2
Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports

License:        BSD
URL:            http://pypi.python.org/pypi/nosexcover/1.0.7
Source0:        http://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info
 

%description

A companion to the built-in nose.plugins.cover,
this plugin will write out an XML coverage report to a file named coverage.xml.
It will honor all the options you pass to the `Nose coverage plugin
especially --cover-package.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc PKG-INFO
%{python_sitelibdir_noarch}/%{pypi_name}
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt1_1
- initial fc import

